pub struct ShellStatusRequest {
pub shell_id: String,
}Expand description
POST /api/v1/shell/status — query whether a shell is still running.
Fields§
§shell_id: StringTrait Implementations§
Source§impl Clone for ShellStatusRequest
impl Clone for ShellStatusRequest
Source§fn clone(&self) -> ShellStatusRequest
fn clone(&self) -> ShellStatusRequest
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for ShellStatusRequest
impl Debug for ShellStatusRequest
Source§impl<'de> Deserialize<'de> for ShellStatusRequest
impl<'de> Deserialize<'de> for ShellStatusRequest
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for ShellStatusRequest
impl RefUnwindSafe for ShellStatusRequest
impl Send for ShellStatusRequest
impl Sync for ShellStatusRequest
impl Unpin for ShellStatusRequest
impl UnsafeUnpin for ShellStatusRequest
impl UnwindSafe for ShellStatusRequest
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more